#ifndef _CONF_FILE_H
#define _CONF_FILE_H

enum burp_mode
{
	MODE_UNSET=0,
	MODE_SERVER,
	MODE_CLIENT
};

struct config
{
	int port;
	enum burp_mode mode;
	char *lockfile;

// server options
	char *directory;
	char *clientconfdir;

// client options
	char *cname;
	char *password;
	char *server;
	char *backupdir;
	char *sigpath;
	char *manifest;

// Client options on the server.
// They can be set globally in the server config, or for each client.
	int keep;
	int hardlinked_archive;
	char *working_dir_recovery_method;
};

extern void init_config(struct config *conf);
extern int load_config(const char *config_path, struct config *conf, bool loadall);
extern void free_config(struct config *conf);
extern int set_client_global_config(struct config *conf, struct config *cconf);

#endif
